package tpOO.tp02;
class Competitor{
    String numberSign;
    int time;
    int score;

    Competitor(int min, int sec, int numberSign, int score){
        if(numberSign>=0 && numberSign <=100){
            this.numberSign = "No" + numberSign;
        }
        this.time = 60*min + sec;
        this.score = score;
    }

    public String toString(){
        String number;
        if(this.numberSign == null){
            number = "-invalide-";
        }
        else{
            number = this.numberSign;
        }
        return number + ", " + this.score + " points, " + this.time + " s";
    }

    boolean equals(Competitor other){
        if(other == null){
            return false;
        }
        if(this.numberSign == null || other.numberSign == null){
            if(this.numberSign != other.numberSign){
                return false;
            }
        }
        if(this.numberSign.equals(other.numberSign) && this.score == other.score && this.time == other.time){
            return true;
        }
        return false;
    }

    boolean isFaster(Competitor other){
        if(this.time<other.time){
            return true;
        }
        return false;
    }
}
